Subject: bug#45658: Infinite loop in run loop on macOS

From: Alan Third <[email-masked]>
Date: Mon, 4 Jan 2021 17:31:06 +0000

On Mon, Jan 04, 2021 at 02:51:31AM +0000, Jimmy Yuen Ho Wong wrote:
> On Fri, Jan 1, 2021 at 10:41 AM Alan Third <[email-masked]> wrote:
> >
> > On Fri, Jan 01, 2021 at 03:26:46AM +0000, Jimmy Yuen Ho Wong wrote:
> > > I've just seen show up on the emacs-27 branch. I'm seeing the exact same
> > > stack trace. However, I'm unable to confirm the two funcalls actually
> > > correspond to "mouse-fixup-help-message" and "mouse-pixel-position", as I
> > > don't know which commands in LLDB to type. Any help with this will be
> > > appreciated.
> > >
> > > I don't know how to reproduce this consistently, but it seems to happen most
> > > often after I cmd-tab to a different app's window from Emacs.
> >
> > Hi, it's probably bug#45541 which I've just pushed a fix for to the
> > emacs-27 branch.
> 
> Hi Alan,
> 
> So instead of crashing at `ns_mouse_position`, it now freezes at
> `ns_select`. Although I was able to send a USR2, I wasn't able to
> debug on the LISP side since my entire Emacs froze with a spinning
> beach ball. Please let me know if there's anyway I can debug this
> further as I'm not too familiar with LLDB.

Is this still mostly when you switch away from Emacs?

Can you do "bt all" and send the whole output?
-- 
Alan Third